#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Handy.Objects.Dialer where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Dialer = Dialer (ManagedPtr Dialer)
instance GObject Dialer where
class (GObject o, O.IsDescendantOf Dialer o) => IsDialer o
instance (GObject o, O.IsDescendantOf Dialer o) => IsDialer o
instance O.HasParentTypes Dialer
#if ENABLE_OVERLOADING
data DialerColumnSpacingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DialerNumberPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DialerReliefPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DialerRowSpacingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DialerShowActionButtonsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DialerDeletedSignalInfo
#endif
#if ENABLE_OVERLOADING
data DialerSubmittedSignalInfo
#endif
#if ENABLE_OVERLOADING
data DialerSymbolClickedSignalInfo
#endif
#if ENABLE_OVERLOADING
data DialerClearNumberMethodInfo
#endif
#if ENABLE_OVERLOADING
data DialerGetNumberMethodInfo
#endif
#if ENABLE_OVERLOADING
data DialerGetReliefMethodInfo
#endif
#if ENABLE_OVERLOADING
data DialerGetShowActionButtonsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DialerSetNumberMethodInfo
#endif
#if ENABLE_OVERLOADING
data DialerSetReliefMethodInfo
#endif
#if ENABLE_OVERLOADING
data DialerSetShowActionButtonsMethodInfo
#endif
