#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Handy.Objects.ActionRow where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype ActionRow = ActionRow (ManagedPtr ActionRow)
instance GObject ActionRow where
class (GObject o, O.IsDescendantOf ActionRow o) => IsActionRow o
instance (GObject o, O.IsDescendantOf ActionRow o) => IsActionRow o
instance O.HasParentTypes ActionRow
#if ENABLE_OVERLOADING
data ActionRowActivatableWidgetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowIconNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowSubtitlePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowTitlePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowUseUnderlinePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowAddActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowAddPrefixMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowGetActivatableWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowGetIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowGetSubtitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowGetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowGetUseUnderlineMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowSetActivatableWidgetMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowSetIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowSetSubtitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowSetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionRowSetUseUnderlineMethodInfo
#endif
